Mir

[ FAILED ] ClientLatency.throttled_input_rate_yields_lower_latency

Bug #1624188 reported by Daniel van Vugt on 2016-09-16
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Mir
Fix Released
Medium
Daniel van Vugt
mir (Ubuntu)
Undecided
Unassigned

Bug Description

[ FAILED ] ClientLatency.throttled_input_rate_yields_lower_latency

This bug has been reported before but those are Fix Released so opening a new bug for cleanliness...

18:28:14 [ RUN ] ClientLatency.throttled_input_rate_yields_lower_latency
18:28:14 [2016-09-15 18:28:12.546342] mirserver: Starting
18:28:14 [2016-09-15 18:28:12.546689] mirserver: Selected driver: mir:stub-graphics (version 0.25.0)
18:28:14 [2016-09-15 18:28:12.547778] mirserver: Using software cursor
18:28:14 [2016-09-15 18:28:12.548236] mirserver: Initial display configuration:
18:28:14 [2016-09-15 18:28:12.549443] mirserver: Selected input driver: mir:stub-input (version: 0.25.0)
18:28:14 [2016-09-15 18:28:12.550232] mirserver: Mir version 0.25.0
18:28:14 [ debug ] 99 frames sampled, averaging 2.0 frames latency
18:28:14 [ debug ] 0: 1 1 1 1 1 1 1 1 1 1
18:28:14 [ debug ] 10: 1 1 1 1 1 1 1 1 1 1
18:28:14 [ debug ] 20: 1 1 1 1 1 1 1 1 2 2
18:28:14 [ debug ] 30: 2 2 2 3 3 2 2 2 2 2
18:28:14 [ debug ] 40: 2 2 2 2 2 2 2 2 2 2
18:28:14 [ debug ] 50: 2 2 2 3 3 3 2 3 3 3
18:28:14 [ debug ] 60: 2 3 2 3 3 3 2 2 2 2
18:28:14 [ debug ] 70: 3 3 3 2 3 3 3 3 3 3
18:28:14 [ debug ] 80: 2 3 3 3 2 2 2 2 3 2
18:28:14 [ debug ] 90: 3 3 3 3 2 2 3 3 3
18:28:14 /<<BUILDDIR>>/mir-0.25.0+yakkety2225bzr3701/tests/acceptance-tests/test_latency.cpp:344: Failure
18:28:14 Value of: observed_latency
18:28:14 Expected: is <= 1.4
18:28:14 Actual: 2.0404 (of type float)
18:28:14 [2016-09-15 18:28:14.782202] mirserver: Stopping
18:28:14 [ FAILED ] ClientLatency.throttled_input_rate_yields_lower_latency (2252 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=yakkety/2199/consoleFull

Related branches

Changed in mir:
importance: Undecided → Medium
Daniel van Vugt (vanvugt) wrote :

Again:

08:17:56 14: [ debug ] 99 frames sampled, averaging 1.8 frames latency
08:17:56 14: [ debug ] 0: 1 1 1 1 1 1 1 1 1 1
08:17:56 14: [ debug ] 10: 1 1 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 20: 2 2 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 30: 2 2 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 40: 2 2 2 2 1 1 1 2 2 2
08:17:56 14: [ debug ] 50: 2 2 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 60: 2 2 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 70: 2 2 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 80: 2 2 2 2 2 2 2 2 2 2
08:17:56 14: [ debug ] 90: 2 2 2 2 2 2 2 2 2
08:17:56 14: /<<BUILDDIR>>/mir-0.25.0+xenial2250bzr3711/tests/acceptance-tests/test_latency.cpp:344: Failure
08:17:56 14: Value of: observed_latency
08:17:56 14: Expected: is <= 1.4
08:17:56 14: Actual: 1.84848 (of type float)
08:17:56 14: [2016-09-19 08:17:56.796993] mirserver: Stopping
08:17:56 14: [ FAILED ] ClientLatency.throttled_input_rate_yields_lower_latency (2332 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/2224/consoleFull

Alan Griffiths (alan-griffiths) wrote :

And again https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=zesty/3393/consoleFull

16:29:38 10: [ RUN ] ClientLatency.throttled_input_rate_yields_lower_latency
16:29:38 10: [2017-01-09 16:29:38.767315] mirserver: Starting
16:29:38 10: [2017-01-09 16:29:38.767748] mirserver: Selected driver: mir:stub-graphics (version 0.26.0)
16:29:38 10: [2017-01-09 16:29:38.771343] mirserver: Using software cursor
16:29:38 10: [2017-01-09 16:29:38.792049] mirserver: Selected input driver: mir:stub-input (version: 0.26.0)
16:29:38 10: [2017-01-09 16:29:38.792346] mirserver: Mir version 0.26.0
16:29:38 10: [2017-01-09 16:29:38.793891] mirserver: Initial display configuration:
16:29:41 10: [ debug ] 98 frames sampled, averaging 1.908 frames latency
16:29:41 10: [ debug ] 0: 1.00 1.00 1.00 1.00 1.00 1.00 1.00 2.00 1.00 2.00
16:29:41 10: [ debug ] 10: 2.00 1.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 20: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 30: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 40: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 50: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 60: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 70: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 80: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: [ debug ] 90: 2.00 2.00 2.00 2.00 2.00 2.00 2.00 2.00
16:29:41 10: /<<BUILDDIR>>/mir-0.26.0+zesty3423bzr3917/tests/acceptance-tests/test_latency.cpp:451: Failure
16:29:41 10: Value of: observed_latency
16:29:41 10: Expected: is <= 1.4
16:29:41 10: Actual: 1.90816 (of type float)
16:29:41 10: [2017-01-09 16:29:41.358652] mirserver: Stopping
16:29:41 10: [ FAILED ] ClientLatency.throttled_input_rate_yields_lower_latency (2601 ms)

Changed in mir:
milestone: none → 0.26.0
status: New → In Progress
Changed in mir:
milestone: 0.26.0 → 1.0.0
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision 3952, scheduled for release in mir, milestone 1.0.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir:
milestone: 1.0.0 → 0.26.0
Launchpad Janitor (janitor) wrote :
Download full text (7.2 KiB)

This bug was fixed in the package mir - 0.26.0+17.04.20170126.3-0ubuntu1

---------------
mir (0.26.0+17.04.20170126.3-0ubuntu1) zesty; urgency=medium

  [ Daniel van Vugt ]
  * New upstream release 0.26.0 (https://launchpad.net/mir/+milestone/0.26.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 43
      . mircommon ABI unchanged at 7
      . mirplatform ABI unchanged at 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI unchanged at 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI unchanged at 6
      . mircore ABI unchanged at 1
    - Enhancements:
      . New/improved toolkit APIs: MirInputConfig and related functions,
        MirWindow and related functions, DisplayConfig and related functions,
        MirScreencastSpec and related functions,
      . Support for configuring input configuration
      . Introduce toolkit extension mechanism for platform specific APIs.
      . Toolkit extensions for: mesa_drm_auth, set_gbm_device and
        window_coordinate_translation
      . Screencasting to a specific MirBuffer.
      . Add DisplayConfigurationController::base_configuration() so downstreams
        can get the base configuration. (Weirdly they can already set it.).
      . x11 platform: allow adjustable scale parameter.
      . Added EDID support: client API, server logging and in mirout.
      . mirout: Add newer attributes only available in the new display
        config API: scaling factor, subpixel arrangement and form factor.
      . mirout: Log the orientation and logical size of each output too.
      . Replace the mir::Server-overridable Reports with Observers.
      . Add xkbcommon to mirclient.pc Requires.private.
      . Deprecate legacy toolkit APIs that will be removed in Mir 1.0
      . Introduced 'client-side vsync', which dramatically reduces latency
        from the client to the screen (particularly for nested servers like
        Unity8).
    - Bugs fixed:
      . [performance] Restore support for better-than-triple buffering by
        default. (LP: #1240909)
      . Frame rate is artificially low on Diamondville Intel Atom systems due
        to aggressive power management (LP: #1388490)
      . [testsfail] failure in CI in
        AndroidInputReceiverSetup.slow_raw_input_doesnt_cause_frameskipping
        (LP: #1394369)
      . [trusted prompt sessions] Can't open two prompt sessions at the same
        time (LP: #1494197)
      . Changing scale, formFactor or DPI in display configuration causes
        renderer teardown/recreate unnecessarily (LP: #1556142)
      . [testsfail] ApplicationNotRespondingDetection.failure_to_pong_is_
        noticed (LP: #1570327)
      . CI failure in TestClientInput.receives_one_touch_event_per_frame
        (LP: #1570698)
      . Mir-on-X mouse input is jerky/stuttery compared to Mir-on-KMS
        (LP: #1576600)
      . [regression] Two fingers in mir_proving_server now resizes/moves app
        windows (two finger apps unusable) (LP: #1586311)
      . Pointer/cursor input lag in unity8 session (LP: #1591328)
      . PointerConfinement.test_we_update_our_confined_region_on_a_resize
      ...

Read more...

Changed in mir (Ubuntu):
status: New → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers